### org.jfree.layouting.input.style.parser.stylehandler.line

# Class VerticalAlignReadHandler

- `java.lang.Object`
- - `org.jfree.layouting.input.style.parser.stylehandler.OneOfConstantsReadHandler`
  - - `org.jfree.layouting.input.style.parser.stylehandler.line.VerticalAlignReadHandler`

Implemented Interfaces:
  CSSCompoundValueReadHandler, CSSValueReadHandler

`public class VerticalAlignReadHandler`
`extends OneOfConstantsReadHandler`
`implements CSSCompoundValueReadHandler`

Warning: This *is* a compound property, but one if its values depend on the element structure and it changes its meaning if used in Tables.

Author:
  Thomas Morgner

  ## Constructor Summary

  `VerticalAlignReadHandler()`

  ## Method Summary

  `Map`

  `createValues(LexicalUnit unit)`
    Parses the LexicalUnit and returns a map of (StyleKey, CSSValue) pairs.

  `StyleKey[]`

  `getAffectedKeys()`

  `protected CSSValue`

  `lookupValue(LexicalUnit value)`

  ### Methods inherited from class org.jfree.layouting.input.style.parser.stylehandler.OneOfConstantsReadHandler

  `addValue`, `createValue`, `isAutoAllowed`, `lookupValue`

## Constructor Details

### VerticalAlignReadHandler

    public VerticalAlignReadHandler()

## Method Details

### createValues

    public Map createValues(LexicalUnit unit)

> Parses the LexicalUnit and returns a map of (StyleKey, CSSValue) pairs.
> Specified by:
>   createValues in interface CSSCompoundValueReadHandler
> Parameters:
>   `unit` -
> Returns:

### getAffectedKeys

    public StyleKey[] getAffectedKeys()

> Specified by:
>   getAffectedKeys in interface CSSCompoundValueReadHandler

### lookupValue

    protected CSSValue lookupValue(LexicalUnit value)

> Overrides:
>   lookupValue in interface OneOfConstantsReadHandler